//========================================================================================
//
//	File:				FWMenus.fr
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWMENUS_FR
#define FWMENUS_FR

#ifndef FWARCOBJ_FR
#include "FWArcObj.fr"
#endif

#ifndef FWSTRING_FR
#include "FWString.fr"
#endif

#ifndef FWMENU_K
#include "FWMenu.k"
#endif

//========================================================================================
// type FW_RMenuItem
//========================================================================================

type FW_RMenuItem : FW_RArchivableObject(Label='mnit')
{
Index:
	integer = 1;
	integer = FW_kPrivIDOnly;
OwnerMenuClass:
	longint = 'ERR';		// Must be set by subtype
	integer = FW_kPrivIDOnly;
OwnerMenuID:
	longint = 'ERR';		// Must be set by subtype
};

//========================================================================================
// type FW_RSeparatorItem
//========================================================================================

type FW_RSeparatorItem : FW_RMenuItem(Label='seit')
{
};

//========================================================================================
// type FW_RTextItem
//========================================================================================

type FW_RTextItem : FW_RMenuItem(Label='txit')
{
CommandID:
	longint;
MenuKey:
	integer;
ItemString:
	FW_RStringData;
};

//========================================================================================
// type FW_RToggleItem
//========================================================================================

type FW_RToggleItem : FW_RTextItem(Label='tgit')
{
OtherText:
	FW_RStringData;
};

//========================================================================================
// type FW_RPullDownMenu
//========================================================================================


type FW_RPullDownMenu : FW_RArchivableObject(Label='pdmn')
{
	auto ownerClass = 0;
	set ownerClass = gClassID;
	auto ownerMenu = 0;
	set ownerMenu = gObjectID;

MenuTitle:
	FW_RStringData;
MenuItems:
	integer = $$CountOf(MenuItemArray);
	array MenuItemArray
	{
		FW_RMenuItem(Index=$$ArrayIndex(MenuItemArray), 
					 OwnerMenuClass=ownerClass, 
					 OwnerMenuID=ownerMenu);
	};
};

//========================================================================================
// type FW_RSubMenuItem
//========================================================================================

type FW_RSubMenuItem : FW_RMenuItem(Label='suit')
{
SubMenu:
	FW_RPullDownMenu;
};

//========================================================================================
// type FW_RMenuList
//========================================================================================

type FW_RMenuBar(FW_kMenuBarResourceType)
{
	integer = $$CountOf(PullDownMenuArray);
	array PullDownMenuArray
	{
		FW_RPullDownMenu;
	};
};

#endif
